<?php
/**
 * A conf\collection is a collection of configuration items (@see conf\item).
 *
 * This file is part of Zoph.
 *
 * Zoph is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Zoph is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with Zoph; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * @package Zoph
 * @author Jeroen Roos
 */

namespace conf;

use conf\item\item;
use template\block;

/**
 * Group of @see conf\Item objects
 * @package Zoph
 * @author Jeroen Roos
 */
class collection extends \generic\collection {
    /**
     * Add item
     * For ArrayAccess interface
     * @param mixed offset
     * @param mixed value
     */
    public function offsetSet(mixed $off, mixed $value) : void {
        if (is_null($off) && ($value instanceof item)) {
            $off=$value->getName();
        }
        parent::offsetSet($off, $value);
    }
}
